Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Interface UsageTypes

All Known Implementing Classes:
  Field

public abstract interface UsageTypes

An interface which provides constants for Field Usage types.

Field Summary
`static short` | `ANY`
`static short` | `APPEARANCE_NODE`
`static short` | `COLOR`
`static short` | `COLOR_ARRAY`
`static short` | `COLOR_NODE`
`static short` | `COORD3`
`static short` | `COORD3_ARRAY`
`static short` | `COORDINATE_NODE`
`static short` | `DIRECTION`
`static short` | `FIELD_OF_VIEW`
`static short` | `GEOMETRY_NODE`
`static short` | `INDEX_ARRAY`
`static short` | `LINE_INDEX_ARRAY`
`static short` | `MATERIAL_NODE`
`static short` | `NON_NEGATIVE_DOUBLE`
`static short` | `NON_NEGATIVE_FLOAT`
`static short` | `NON_NEGATIVE_INT`
`static short` | `NON_NEGATIVE_INT_ARRAY`
`static short` | `NORMALIZED_FLOAT`
`static short` | `NORMALIZED_FLOAT_ARRAY`
`static short` | `POSITIVE_FLOAT_ARRAY`
`static short` | `ROTATION`
`static short` | `ROTATION_ARRAY`
`static short` | `SCALE3`
`static short` | `TEX_COORD_ARRAY`
`static short` | `TEXTURE_COORDINATE_NODE`
`static short` | `TEXTURE_NODE`
`static short` | `URL_ARRAY`

Field Detail

### ANY

    public static final short ANY

### APPEARANCE_NODE

    public static final short APPEARANCE_NODE

### COLOR

    public static final short COLOR

### COLOR_NODE

    public static final short COLOR_NODE

### COORDINATE_NODE

    public static final short COORDINATE_NODE

### COLOR_ARRAY

    public static final short COLOR_ARRAY

### COORD3

    public static final short COORD3

### COORD3_ARRAY

    public static final short COORD3_ARRAY

### DIRECTION

    public static final short DIRECTION

### FIELD_OF_VIEW

    public static final short FIELD_OF_VIEW

### GEOMETRY_NODE

    public static final short GEOMETRY_NODE

### INDEX_ARRAY

    public static final short INDEX_ARRAY

### LINE_INDEX_ARRAY

    public static final short LINE_INDEX_ARRAY

### MATERIAL_NODE

    public static final short MATERIAL_NODE

### NON_NEGATIVE_DOUBLE

    public static final short NON_NEGATIVE_DOUBLE

### NON_NEGATIVE_FLOAT

    public static final short NON_NEGATIVE_FLOAT

### NON_NEGATIVE_INT

    public static final short NON_NEGATIVE_INT

### NON_NEGATIVE_INT_ARRAY

    public static final short NON_NEGATIVE_INT_ARRAY

### NORMALIZED_FLOAT

    public static final short NORMALIZED_FLOAT

### NORMALIZED_FLOAT_ARRAY

    public static final short NORMALIZED_FLOAT_ARRAY

### POSITIVE_FLOAT_ARRAY

    public static final short POSITIVE_FLOAT_ARRAY

### ROTATION

    public static final short ROTATION

### ROTATION_ARRAY

    public static final short ROTATION_ARRAY

### SCALE3

    public static final short SCALE3

### TEXTURE_NODE

    public static final short TEXTURE_NODE

### TEXTURE_COORDINATE_NODE

    public static final short TEXTURE_COORDINATE_NODE

### TEX_COORD_ARRAY

    public static final short TEX_COORD_ARRAY

### URL_ARRAY

    public static final short URL_ARRAY

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD